﻿namespace WCS.WorkEngineering.WebApi.Models.AGV.Request
{
 
    /// <summary>
    ///  合金二楼下发AGV出库任务
    /// </summary>
    public class zhongTianOutStockRequest
    {
        /// <summary>
        /// 请求编号
        /// </summary>
        public string reqCode { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        public string matCode { get; set; }

        /// <summary>
        /// 工作站编号
        /// </summary>
        public string workAreaCode { get; set; }

        /// <summary>
        /// 空/满工字轮标记
        /// </summary>
        public string outSpoolFull { get; set; }

        /// <summary>
        /// 取空补满标记
        /// </summary>
        public bool intoEmpty { get; set; }

        /// <summary>
        /// 湿拉出库标记
        /// </summary>
        public string wetOut { get; set; }

        /// <summary>
        /// 湿拉退料出库标记
        /// </summary>
        public bool wetOutReturn { get; set; }

        /// <summary>
        /// 改手盘标记
        /// </summary>
        public string isSurplus { get; set; }

        /// <summary>
        /// 返工标记
        /// </summary>
        public string isRework { get; set; }

        /// <summary>
        /// 材料号
        /// </summary>
        public string matNo { get; set; }

        /// <summary>
        /// RFID号
        /// </summary>
        public string spoolNo { get; set; }

        /// <summary>
        /// 质量状态标记
        /// </summary>
        public string gradeCode { get; set; }

        /// <summary>
        /// 快投标记
        /// </summary>
        public string matFast { get; set; }

        /// <summary>
        /// 任务号
        /// </summary>
        public string taskNo { get; set; }
    }
}
