﻿namespace PlcSiemens.Protocol.Common
{
    public enum ErrorType
    {
        NoError = 0,
        ErrIsoMask = 0x000F0000,
        ErrIsoBase = 0x0000FFFF,

        ErrIsoConnect = 0x00010000, // Connection error
        ErrIsoDisconnect = 0x00020000, // Disconnect error
        ErrIsoInvalidPdu = 0x00030000, // Bad format
        ErrIsoInvalidDataSize = 0x00040000, // Bad Datasize passed to send/recv : buffer is invalid
        ErrIsoNullPointer = 0x00050000, // Null passed as pointer
        ErrIsoShortPacket = 0x00060000, // A short packet received
        ErrIsoTooManyFragments = 0x00070000, // Too many packets without EoT flag
        ErrIsoPduOverflow = 0x00080000, // The sum of fragments data exceded maximum packet size
        ErrIsoSendPacket = 0x00090000, // An error occurred during send
        ErrIsoRecvPacket = 0x000A0000, // An error occurred during recv
        ErrIsoInvalidParams = 0x000B0000, // Invalid TSAP params
        ErrIsoResvd1 = 0x000C0000, // Unassigned
        ErrIsoResvd2 = 0x000D0000, // Unassigned
        ErrIsoResvd3 = 0x000E0000, // Unassigned
        ErrIsoResvd4 = 0x000F0000, // Unassigned
    }
}
